## zephyr 0.1.0

=== DESCRIPTION ===
Package: zephyr
Title: Structured Messages and Options
Version: 0.1.0
Authors@R: c(
    person("Aksel", "Thomsen", , "oath@novonordisk.com", role = c("aut", "cre")),
    person("Mathias Lerbech", "Jeppesen", , "nmlj@novonordisk.com", role = "aut"),
    person("Cervan", "Girard", , "cgid@novonordisk.com", role = "aut"),
    person("Kristian", "Troejelsgaard", , "ktqn@novonordisk.com", role = "aut"),
    person("Lovemore", "Gakava", , "lvgk@novonordisk.com", role = "aut"),
    person("Steffen Falgreen", "Larsen", , "sffl@novonordisk.com", role = "aut"),
    person("Vladimir", "Obucina", , "vlob@novonordisk.com", role = "aut"),
    person("Novo Nordisk A/S", role = "cph")
  )
Description: Provides a structured framework for consistent user
    communication and configuration management for package developers.
License: Apache License (>= 2)
URL: https://novonordisk-opensource.github.io/zephyr/,
        https://github.com/novonordisk-opensource/zephyr
BugReports: https://github.com/novonordisk-opensource/zephyr/issues
Depends: R (>= 4.1)
Imports: cli, glue, rlang (>= 1.0.0)
Suggests: callr, checkmate, devtools, knitr, rmarkdown, testthat (>=
        3.1.5), usethis, withr
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-01-16 13:15:02 UTC; oath
Author: Aksel Thomsen [aut, cre],
  Mathias Lerbech Jeppesen [aut],
  Cervan Girard [aut],
  Kristian Troejelsgaard [aut],
  Lovemore Gakava [aut],
  Steffen Falgreen Larsen [aut],
  Vladimir Obucina [aut],
  Novo Nordisk A/S [cph]
Maintainer: Aksel Thomsen <oath@novonordisk.com>
Repository: CRAN
Date/Publication: 2025-01-17 09:10:02 UTC

## zephyr 0.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: zephyr
 Title: Structured Messages and Options
-Version: 0.1.0
+Version: 0.1.1
 Authors@R: c(
     person("Aksel", "Thomsen", , "oath@novonordisk.com", role = c("aut", "cre")),
     person("Mathias Lerbech", "Jeppesen", , "nmlj@novonordisk.com", role = "aut"),
@@ -25,7 +25,7 @@
 Encoding: UTF-8
 RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2025-01-16 13:15:02 UTC; oath
+Packaged: 2025-01-28 09:59:36 UTC; oath
 Author: Aksel Thomsen [aut, cre],
   Mathias Lerbech Jeppesen [aut],
   Cervan Girard [aut],
@@ -36,4 +36,4 @@
   Novo Nordisk A/S [cph]
 Maintainer: Aksel Thomsen <oath@novonordisk.com>
 Repository: CRAN
-Date/Publication: 2025-01-17 09:10:02 UTC
+Date/Publication: 2025-01-28 10:30:02 UTC

## zephyr 0.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: zephyr
 Title: Structured Messages and Options
-Version: 0.1.1
+Version: 0.1.2
 Authors@R: c(
     person("Aksel", "Thomsen", , "oath@novonordisk.com", role = c("aut", "cre")),
     person("Mathias Lerbech", "Jeppesen", , "nmlj@novonordisk.com", role = "aut"),
@@ -25,7 +25,7 @@
 Encoding: UTF-8
 RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2025-01-28 09:59:36 UTC; oath
+Packaged: 2025-03-13 10:18:33 UTC; oath
 Author: Aksel Thomsen [aut, cre],
   Mathias Lerbech Jeppesen [aut],
   Cervan Girard [aut],
@@ -36,4 +36,4 @@
   Novo Nordisk A/S [cph]
 Maintainer: Aksel Thomsen <oath@novonordisk.com>
 Repository: CRAN
-Date/Publication: 2025-01-28 10:30:02 UTC
+Date/Publication: 2025-03-13 10:40:03 UTC

## zephyr 0.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: zephyr
 Title: Structured Messages and Options
-Version: 0.1.2
+Version: 0.1.3
 Authors@R: c(
     person("Aksel", "Thomsen", , "oath@novonordisk.com", role = c("aut", "cre")),
     person("Mathias Lerbech", "Jeppesen", , "nmlj@novonordisk.com", role = "aut"),
@@ -25,7 +25,7 @@
 Encoding: UTF-8
 RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2025-03-13 10:18:33 UTC; oath
+Packaged: 2025-08-21 15:21:27 UTC; oath
 Author: Aksel Thomsen [aut, cre],
   Mathias Lerbech Jeppesen [aut],
   Cervan Girard [aut],
@@ -36,4 +36,4 @@
   Novo Nordisk A/S [cph]
 Maintainer: Aksel Thomsen <oath@novonordisk.com>
 Repository: CRAN
-Date/Publication: 2025-03-13 10:40:03 UTC
+Date/Publication: 2025-08-22 05:50:02 UTC

## zephyr 3.0

=== debian/changelog ===
zephyr (3.0-1) unstable; urgency=low

  * Final upstream 3.0 release.
  * Depend on libreadline-dev.  Closes: #553890
  * Fix problem removing obsolete conffile.  Closes: #548360
  * 3.0 (quilt) source format.
  * Add lintian overrides for the soname/packagname mismatch warnings.
  * Bump Standards-Version.

 -- Karl Ramm <kcr@debian.org>  Sun, 29 Nov 2009 12:41:37 -0500

zephyr (3.0~rc.2544-1) unstable; urgency=low

  * New upstream.
  * Supplementary readme cleanup.
  * Drop *-krb packages for real. Closes: #535099
  * GC obsolete conffiles; Closes: #538028
  * Up Standards-Version.
  
 -- Karl Ramm <kcr@debian.org>  Wed, 02 Sep 2009 14:41:48 -0400

zephyr (3.0~beta.2483-2) unstable; urgency=low

  * check for the extant ares_getnameinfo rather than the nonexistant
    ares_getaddrinfo so that we build with c-ares
  * Add the Finnish and Basque translations from #454608 and #456823
    respectively (thanks to Esko Arajärvi, Piarres Beobide)
    which somehow did not make it into 2.1.20070719.SNAPSHOT-1.1.
    Closes: #533564
  * Zephyr 3.0 does away with xzwrite, closes: #338519

 -- Karl Ramm <kcr@debian.org>  Sat, 20 Jun 2009 23:36:08 -0400

zephyr (3.0~beta.2483-1) unstable; urgency=low

  * Does not build with krb4 by default, Closes: #527339
  * fix some whitespace issues in the config scripts
  * the kerberos shared libraries should satisfy libzephyr-dev,
    Closes: #522694
  * Italian debconf translation from Luca Monducci, Closes: #531426
  * new upstream version

 -- Karl Ramm <kcr@debian.org>  Tue, 16 Jun 2009 20:34:26 -0400

zephyr (3.0~beta.2362-1) experimental; urgency=low

  * new upstream version

 -- Karl Ramm <kcr@debian.org>  Sat, 28 Mar 2009 17:52:06 -0400

zephyr (3.0~alpha.20090316-1) unstable; urgency=low

  * Kerberos 5 client support; new upstream
  * GNU config automated update: config.sub     (20070118 to 20080116),
    config.guess     (20070306 to 20080123)
  * Upstream merged CMU zwgcplus;  Closes: #207362
  * Upstream now uses c-ares: Closes: #477047
  * Fix braino in init script.  Closes: #448459
  
 -- Karl Ramm <kcr@debian.org>  Mon, 16 Mar 2009 19:57:49 -0400

zephyr (2.1.20070719.SNAPSHOT-2) unstable; urgency=low

  * Z_SendLocation could be fooled by the USER_LOGIN message (which has
    the same UID as the SERVACK we're really waiting for) arriving first.
    Wait for the SERVACK explicitly, so the USER_LOGIN gets left on the
    queue even if it arrives early. (thanks, Mark!)
  * Acknowledge NMUs
  * Build-depend on x11proto-core-dev.  Closes: #515456
  * Japanese debconf translation, thanks to Hideki Yamane.  Closes: #510734

 -- Karl Ramm <kcr@debian.org>  Sun, 01 Mar 2009 02:52:20 -0500

zephyr (2.1.20070719.SNAPSHOT-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Swedish. Closes: #491531
  * Brazilian Portuguese. Closes: #501262

 -- Christian Perrier <bubulle@debian.org>  Mon, 06 Oct 2008 07:16:54 +0200

zephyr (2.1.20070719.SNAPSHOT-1.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #453291
  * [Debconf translation updates]
    - Galician. Closes: #454511, #447936
    - Finnish. Closes: #454608
    - Czech. Closes: #455240
    - Spanish. Closes: #455576
    - Italian. Closes: #456225
    - Basque. Closes: #456823
    - German. Closes: #456981
    - Dutch. Closes: #457034, #447724
    - Russian. Closes: #457087, #451807
    - Portuguese. Closes: #457111
    - Vietnamese. Closes: #457301
    - French. Closes: #457560, #435494, #435495

 -- Christian Perrier <bubulle@debian.org>  Wed, 20 Feb 2008 20:11:27 +0100

zephyr (2.1.20070719.SNAPSHOT-1) unstable; urgency=low

  * new upstream, Closes: #433603
  * byteswap port number for display in zwgc, Closes: #243101
  * stick newline after errant error message, Closes: #242839
  * wait for zhm to die when restarting. Closes: #41419

 -- Karl Ramm <kcr@debian.org>  Fri, 20 Jul 2007 13:23:48 -0400

zephyr (2.1.20010518.SNAPSHOT-18) unstable; urgency=low

  * fix braino in postinst.  Closes: #433953
  * Don't mark internal use messages as translatable.  Closes: #413237
  * Galician translation.  Closes: #412802
  * Dutch translation.  Closes: #413876  
  * Portugese translation.  Closes: #414817
  * Updates Spanish translatoin.  Closes: #420839
  
  * Package supports using hesiod to find zephyr servers.  Closes: #174535
  * Package does not fail to configure if the daemon won't start.  Closes: #120421
  * zhm shouldn't hang for ever if it can't find a server on startup.  Closes: #433602

  * remove DH_COMPAT setting and update substvars to placate lintian.

 -- Karl Ramm <kcr@debian.org>  Thu, 19 Jul 2007 04:31:53 -0400

zephyr (2.1.20010518.SNAPSHOT-17.1) unstable; urgency=low

  * Non-maintainer upload to fix l10n issues
  * Debconf translation updates:
    - German. Closes: #396775
    - French. Closes: #395978
    - Russian. Closes: #404414

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Jan 2007 19:47:23 +0100

zephyr (2.1.20010518.SNAPSHOT-17) unstable; urgency=low

  * Fix build-depends for seemlingly oddly picky autobuilders.
  Closes: #393579

 -- Karl Ramm <kcr@debian.org>  Tue, 17 Oct 2006 21:09:06 -0400

zephyr (2.1.20010518.SNAPSHOT-16) unstable; urgency=low

  * Tweak zhm and postinst scripts to not flush subs on restart.
  (it will happen one last time on upgrade, sorry)
  Closes: #148870
  * Avoid possible doubling of zephyr-server name in configuration.
  Closes: #177477
  * Add Swedish debconf template.  Closes: #343756
  * Update Spanish debconf template.  Closes: #385052
  * Fixup build-depends for new X world.
  * Make debconf templates lintian compliant (short titles instead of
    questions, "for internal use" instead of "You should never see this")
  * LSB init info
  * invoke init.d scripts properly
  * Assert Standards-Version: 3.7.2



=== debian/control ===
Source: zephyr
Section: net
Priority: optional
Maintainer: Karl Ramm <kcr@debian.org>
Uploaders: Sam Hartman <hartmans@debian.org>
Build-Depends: debhelper (>= 5), libc-ares-dev, libkrb5-dev (>= 1.2.2-4), comerr-dev, ss-dev,
               libreadline-dev | libreadline5-dev, libx11-dev, libxt-dev, x11proto-core-dev, libncurses5-dev,
	       bison, libhesiod-dev, autotools-dev
Standards-Version: 3.8.3
Vcs-Svn: svn://svn.1ts.org/debian/branches/zephyr-reloaded/zephyr

Package: libzephyr4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libzephyr4-krb, libzephyr4-krb5, libzephyr4-krb45
Description: Project Athena's notification service - non-Kerberos libraries
 Zephyr is derived from the original Project Athena 'Instant Message' system
 and allows users to send messages to other users or to groups of users.
 Users can view incoming Zephyr messages as windowgrams (transient X
 windows) or as text on a terminal.
 .
 This package provides the libraries without Kerberos support.

Package: libzephyr4-krb5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, krb5-config
Conflicts: libzephyr4, libzephyr4-krb, libzephyr4-krb45
Replaces: libzephyr4, libzephyr4-krb, libzephyr4-krb45
Provides: libzephyr4
Description: The original "Instant Message" system libraries with Kerberos V
 This version of the library uses Kerberos V for message authentication.
 .
 This is the Project Athena Zephyr notification system.
 Zephyr allows users to send messages to other users or to groups of
 users.  Users can view incoming Zephyr messages as windowgrams
 (transient X windows) or as text on a terminal.

Package: libzephyr4-krb45
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, krb5-config
Conflicts: libzephyr4, libzephyr4-krb, libzephyr4-krb5
Replaces: libzephyr4, libzephyr4-krb, libzephyr4-krb5
Provides: libzephyr4
Description: The original "Instant Message" system libraries with Kerberos 4+5
 This version of the library uses Kerberos V for message authentication, but
 retains some Kerberos 4 support routines used by the server that accept both.
 .
 This is the Project Athena Zephyr notification system.
 Zephyr allows users to send messages to other users or to groups of
 users.  Users can view incoming Zephyr messages as windowgrams
 (transient X windows) or as text on a terminal.

Package: zephyr-clients
Replaces: zephyr-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debianutils (>= 1.6), debconf | debconf-2.0
Description: Project Athena's notification service - client programs
 Zephyr is derived from the original Project Athena 'Instant Message' system
 and allows users to send messages to other users or to groups of users.
 Users can view incoming Zephyr messages as windowgrams (transient X
 windows) or as text on a terminal.
 .
 This package provides client programs for the messaging service.

Package: zephyr-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf | debconf-2.0
Conflicts: zephyr-server-krb, zephyr-server-krb5, zephyr-server-krb45
Description: Project Athena's notification service - non-Kerberos server
 Zephyr is derived from the original Project Athena 'Instant Message' system
 and allows users to send messages to other users or to groups of users.
 Users can view incoming Zephyr messages as windowgrams (transient X
 windows) or as text on a terminal.
 .
 This package provides the server for the messaging service, which
 maintains a location and subscription database for all the receiving
 clients. All zephyrgrams are sent to the server to be routed to the
 intended recipient. Only one server is required for a group of clients.

Package: zephyr-server-krb5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf | debconf-2.0, libzephyr4-krb5
Conflicts: zephyr-server, zephyr-server-krb, zephyr-server-krb45
Replaces: zephyr-server, zephyr-server-krb, zephyr-server-krb45
Provides: zephyr-server
Description: The original "Instant Message" system-server with Kerberos 5
 You probably only need one server for a group of clients.
 This can be a memory-intensive server, especially for very large sites.
 .
 The server maintains a location and subscription database for all the
 receiving clients. All zephyrgrams are sent to the server to be routed
 to the intended recipient.
 .
 This version of the server uses Kerberos V for message authentication.
 .
 This is the Project Athena Zephyr notification system.
 Zephyr allows users to send messages to other users or to groups of
 users.  Users can view incoming Zephyr messages as windowgrams
 (transient X windows) or as text on a terminal.

Package: zephyr-server-krb45
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf | debconf-2.0, libzephyr4-krb45
Conflicts: zephyr-server, zephyr-server-krb, zephyr-server-krb5
Replaces: zephyr-server, zephyr-server-krb, zephyr-server-krb5
Provides: zephyr-server
Description: The original "Instant Message" system-server with Kerberos 4+5
 You probably only need one server for a group of clients.
 This can be a memory-intensive server, especially for very large sites.
 .
 The server maintains a location and subscription database for all the
 receiving clients. All zephyrgrams are sent to the server to be routed
 to the intended recipient.
 .
 This version of the server uses Kerberos 4 and Kerberos V for message
 authentication.
 .
 This is the Project Athena Zephyr notification system.
 Zephyr allows users to send messages to other users or to groups of
 users.  Users can view incoming Zephyr messages as windowgrams
 (transient X windows) or as text on a terminal.

Package: libzephyr-dev
Section: libdevel
Architecture: any
Depends: libzephyr4 (= ${binary:Version}) | libzephyr4-krb (= ${binary:Version}) | libzephyr4-krb5 (= ${binary:Version}) | libzephyr4-krb45 (= ${binary:Version}), ${misc:Depends}, libc6-dev
Description: Project Athena's notification service - development files
 Zephyr is derived from the original Project Athena 'Instant Message' system
 and allows users to send messages to other users or to groups of users.
 Users can view incoming Zephyr messages as windowgrams (transient X
 windows) or as text on a terminal.
 .
 This package provides development libraries and files, which are
 needed to compile alternative Zephyr clients.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1
VARIETALS=krb5
#VARIETALS=krb45 krb5

PACKAGES:=-plibzephyr4 -pzephyr-clients -pzephyr-server -plibzephyr-dev $(foreach i,$(VARIETALS),-plibzephyr4-$(i) -pzephyr-server-$(i))

# This has to be exported to make some magic below work.
export DH_OPTIONS
CONFIGURE_ROOT=--prefix=/usr --mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info --sysconfdir=/etc --datadir=/etc \
	--with-ares=/usr --with-hesiod=/usr --enable-cmu-zwgcplus
CONFIGURE_krb5=--with-krb5=/usr
CONFIGURE_krb45=--with-krb4=/usr --with-krb5=/usr

# see /usr/share/doc/autotools-dev/README.Debian.gz
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

BUILD_VARIETALS=$(VARIETALS) no-krb

# The autotools target adds forced build-time dependencies on
# autotools-dev (for /usr/share/misc/config.*) and devscripts (for dch)
# It's also a .PHONY make target.
autotools:
	chmod u+x config.sub
	chmod u+x config.guess
	OLDDATESUB=`./config.sub -t | tr -d -` ;\
	OLDDATEGUESS=`./config.guess -t | tr -d -` ;\
	NEWDATESUB=`/usr/share/misc/config.sub -t | tr -d -` ;\
	NEWDATEGUESS=`/usr/share/misc/config.guess -t | tr -d -` ;\
	if [ $$OLDDATESUB -lt $$NEWDATESUB -o \
	     $$OLDDATEGUESS -lt $$NEWDATEGUESS ]; then \
	   dch -a -p "GNU config automated update: config.sub\
	     ($$OLDDATESUB to $$NEWDATESUB), config.guess\
	     ($$OLDDATEGUESS to $$NEWDATEGUESS)" ;\
	   cp -f /usr/share/misc/config.sub config.sub ;\
	   cp -f /usr/share/misc/config.guess config.guess ;\
	   echo WARNING: GNU config scripts updated from master copies 1>&2 ;\
	fi

configure: configure-stamp autotools
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	mkdir -p $(BUILD_VARIETALS)
	$(foreach VARIETY,$(BUILD_VARIETALS),(cd $(VARIETY) && CFLAGS="-g -O" ../configure $(CONFIGURE_$(VARIETY)) $(CONFIGURE_ROOT));)
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	set -e; \
	for dir in $(VARIETALS) ; do  \
		$(MAKE) -C $$dir/lib all; $(MAKE) -C $$dir/server; \
	done
	$(MAKE) -C no-krb all

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-rm -rf $(BUILD_VARIETALS) debian/tmp-krb*
	-rm $(foreach v,$(VARIETALS),$(foreach s,files templates config postinst,debian/zephyr-server-$(v).$(s)))
	-if test -n "$(filter-out krb5,$(VARIETALS))"; then \
	 rm $(foreach v,$(filter-out krb5,$(VARIETALS)),$(foreach s,docs init postrm,debian/zephyr-server-$(v).$(s))); \
	fi
	-rm debian/libzephyr4-krb5.files debian/libzephyr4-krb45.files

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	-rm -rf debian/tmp-krb*
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) -C no-krb DESTDIR=$(CURDIR)/debian/tmp install
	for dir in $(VARIETALS); do \
		$(MAKE) -C $$dir SUBDIRS="lib server" DESTDIR=$(CURDIR)/debian/tmp-$$dir install; \
	done
	mkdir -p debian/tmp/etc/zephyr/acl
	set -x; for i in debian/acl/*; do install -c -m 644 -o root $$i debian/tmp/etc/zephyr/acl; done; set +x
	install -c -m 644 debian/zephyr.vars debian/tmp/etc/zephyr
	install -c -m 644 debian/default.subscriptions debian/tmp/etc/zephyr
	for dir in $(VARIETALS); do \
		cp -rp debian/tmp/etc/zephyr/acl debian/tmp-$$dir/etc/zephyr; \
	done

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: build install
	dh_testdir
	dh_testroot
	set -e; \
	for file in files templates config postinst docs; do \
		for dir in $(VARIETALS); do \
			cp debian/zephyr-server.$$file debian/zephyr-server-$$dir.$$file; \
		done; \
	done
	for file in docs init postrm; do \
		for dir in $(filter-out krb5,$(VARIETALS)); do \
			cp debian/zephyr-server-krb5.$$file debian/zephyr-server-$$dir.$$file; \
		done; \
	done
	for dir in $(VARIETALS); do \
		cp debian/libzephyr4.files debian/libzephyr4-$$dir.files; \
	done
	dh_movefiles  -plibzephyr4 -pzephyr-clients -pzephyr-server -plibzephyr-dev
	for dir in $(VARIETALS); do \
		dh_movefiles --sourcedir=debian/tmp-$$dir -plibzephyr4-$$dir -pzephyr-server-$$dir; \
	done
	dh_installdebconf 
	dh_installdocs
	dh_installinit -pzephyr-clients --init-script=zhm --no-start
	dh_installinit -pzephyr-server --init-script=zephyrd
	for variety in $(VARIETALS); do \
		dh_installinit -pzephyr-server-$$variety --init-script=zephyrd; \
		mkdir -p debian/libzephyr4-$$variety/usr/share/lintian/overrides; \
		sed -e "s/@VARIETY@/$$variety/" debian/soname-override \
		> debian/libzephyr4-$$variety/usr/share/lintian/overrides/libzephyr4-$$variety; \
	done
	dh_installchangelogs 
	for dir in zephyr-clients libzephyr-dev \
		libzephyr4 $(foreach i,$(VARIETALS),libzephyr4-$i) \
		zephyr-server $(foreach i,$(VARIETALS),zepyr-server-$i); do \
		find debian/$$i -type d -empty -delete; \
	done
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	# sigh
	for dir in $(VARIETALS); do \
		cp debian/libzephyr4/DEBIAN/shlibs debian/libzephyr4-$$dir/DEBIAN/shlibs; \
	done
	dh_shlibdeps $(PACKAGES)
	dh_installdeb $(PACKAGES)
	dh_gencontrol $(PACKAGES)
	dh_md5sums $(PACKAGES)
	dh_builddeb $(PACKAGES)
	for dir in $(VARIETALS); do \
		dh_builddeb --sourcedir=debian/tmp-$$dir -plibzephyr4-$$dir -pzephyr-server-$$dir; \
	done


binary: binary-indep binary-arch

.PHONY: autotools build clean binary-indep binary-arch binary install

## zephyr 3.0.1

=== debian/changelog ===
zephyr (3.0.1-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version.
  * Define MAXPATHLEN in lib/ZLocations.c if it isn't. Closes: #508522

 -- Karl Ramm <kcr@debian.org>  Sun, 06 Mar 2011 12:54:18 -0500

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Karl Ramm <kcr@debian.org>
 Uploaders: Sam Hartman <hartmans@debian.org>
-Build-Depends: debhelper (>= 5), libc-ares-dev, libkrb5-dev (>= 1.2.2-4), comerr-dev, ss-dev,
+Build-Depends: debhelper (>= 7), libc-ares-dev, libkrb5-dev (>= 1.2.2-4), comerr-dev, ss-dev,
                libreadline-dev | libreadline5-dev, libx11-dev, libxt-dev, x11proto-core-dev, libncurses5-dev,
 	       bison, libhesiod-dev, autotools-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1.0
 Vcs-Svn: svn://svn.1ts.org/debian/branches/zephyr-reloaded/zephyr
 
 Package: libzephyr4

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 export DH_OPTIONS
 CONFIGURE_ROOT=--prefix=/usr --mandir=\$${prefix}/share/man \
 	--infodir=\$${prefix}/share/info --sysconfdir=/etc --datadir=/etc \
-	--with-ares=/usr --with-hesiod=/usr --enable-cmu-zwgcplus
+	--with-cares=/usr --with-hesiod=/usr --enable-cmu-zwgcplus
 CONFIGURE_krb5=--with-krb5=/usr
 CONFIGURE_krb45=--with-krb4=/usr --with-krb5=/usr
 
@@ -94,7 +94,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	-rm -rf debian/tmp-krb*
 	dh_installdirs

## zephyr 3.0.2

=== debian/changelog ===
zephyr (3.0.2-2) unstable; urgency=low

  * Oops, you need to have automake installed if you want to use
    autoreconf.  Do so.  Closes: #658192

 -- Karl Ramm <kcr@debian.org>  Tue, 31 Jan 2012 23:09:50 -0500

zephyr (3.0.2-1) unstable; urgency=low

  * New upstream release.
  * Actually insulate the postinst from the rc script failing.
    Closes: #638260
  * Install a Danish debconf tranlation, thanks to Joe Dalton.
    Closes: #621365
  * Update Standards-Version.

 -- Karl Ramm <kcr@debian.org>  Mon, 30 Jan 2012 11:18:54 -0500

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,13 @@
 Priority: optional
 Maintainer: Karl Ramm <kcr@debian.org>
 Uploaders: Sam Hartman <hartmans@debian.org>
-Build-Depends: debhelper (>= 7), libc-ares-dev, libkrb5-dev (>= 1.2.2-4), comerr-dev, ss-dev,
-               libreadline-dev | libreadline5-dev, libx11-dev, libxt-dev, x11proto-core-dev, libncurses5-dev,
-	       bison, libhesiod-dev, autotools-dev
-Standards-Version: 3.9.1.0
+Build-Depends: debhelper (>= 7), libc-ares-dev, libkrb5-dev (>= 1.2.2-4),
+               comerr-dev, ss-dev, libreadline-dev | libreadline5-dev,
+               libx11-dev, libxt-dev, x11proto-core-dev, libncurses5-dev,
+               bison, libhesiod-dev, autotools-dev, libtool, autoconf,
+               lsb-release, automake
+Build-Conflicts: autoconf2.13, automake1.4
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.1ts.org/debian/branches/zephyr-reloaded/zephyr
 
 Package: libzephyr4

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 #export DH_VERBOSE=1
 VARIETALS=krb5
 #VARIETALS=krb45 krb5
+CFLAGS=-g -O
 
 PACKAGES:=-plibzephyr4 -pzephyr-clients -pzephyr-server -plibzephyr-dev $(foreach i,$(VARIETALS),-plibzephyr4-$(i) -pzephyr-server-$(i))
 
@@ -27,49 +28,47 @@
 
 # FOR AUTOCONF 2.52 AND NEWER ONLY
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
-  confflags += --build $(DEB_HOST_GNU_TYPE)
+  CONFIGURE_ROOT += --build $(DEB_HOST_GNU_TYPE)
 else
-  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
+  CONFIGURE_ROOT += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
 
 BUILD_VARIETALS=$(VARIETALS) no-krb
+PKG_VERSION:=$(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
+PKG_DISTRO:=$(shell lsb_release -si)
 
-# The autotools target adds forced build-time dependencies on
-# autotools-dev (for /usr/share/misc/config.*) and devscripts (for dch)
-# It's also a .PHONY make target.
-autotools:
-	chmod u+x config.sub
-	chmod u+x config.guess
-	OLDDATESUB=`./config.sub -t | tr -d -` ;\
-	OLDDATEGUESS=`./config.guess -t | tr -d -` ;\
-	NEWDATESUB=`/usr/share/misc/config.sub -t | tr -d -` ;\
-	NEWDATEGUESS=`/usr/share/misc/config.guess -t | tr -d -` ;\
-	if [ $$OLDDATESUB -lt $$NEWDATESUB -o \
-	     $$OLDDATEGUESS -lt $$NEWDATEGUESS ]; then \
-	   dch -a -p "GNU config automated update: config.sub\
-	     ($$OLDDATESUB to $$NEWDATESUB), config.guess\
-	     ($$OLDDATEGUESS to $$NEWDATEGUESS)" ;\
-	   cp -f /usr/share/misc/config.sub config.sub ;\
-	   cp -f /usr/share/misc/config.guess config.guess ;\
-	   echo WARNING: GNU config scripts updated from master copies 1>&2 ;\
-	fi
+STASH:=debian/autogoo-stash
+STASH_H:=debian/autogoo-h-stash
 
-configure: configure-stamp autotools
-configure-stamp:
+stash: stash-stamp
+stash-stamp:
+	-mkdir $(STASH)
+	mv -v m4 autom4te.cache aclocal.m4 config.guess config.sub configure install-sh ltmain.sh VERSION $(STASH)
+	-mkdir $(STASH_H)
+	mv -v h/config.h.in $(STASH_H)
+	touch stash-stamp
+
+configure: configure-stamp
+configure-stamp: stash-stamp
 	dh_testdir
 	# Add here commands to configure the package.
+	libtoolize -ic
+	autoreconf
+	echo "$(PKG_VERSION) ($(PKG_DISTRO))" > VERSION
 	mkdir -p $(BUILD_VARIETALS)
-	$(foreach VARIETY,$(BUILD_VARIETALS),(cd $(VARIETY) && CFLAGS="-g -O" ../configure $(CONFIGURE_$(VARIETY)) $(CONFIGURE_ROOT));)
+	$(foreach VARIETY,$(BUILD_VARIETALS),(cd $(VARIETY) && CFLAGS="$(CFLAGS)" ../configure $(CONFIGURE_$(VARIETY)) $(CONFIGURE_ROOT));)
 	touch configure-stamp
 
-build: configure-stamp build-stamp
-build-stamp:
+build: build-stamp
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp: configure-stamp
 	dh_testdir
 
 	# Add here commands to compile the package.
 	set -e; \
 	for dir in $(VARIETALS) ; do  \
-		$(MAKE) -C $$dir/lib all; $(MAKE) -C $$dir/server; \
+		$(MAKE) -C $$dir h/zephyr_version.h; $(MAKE) -C $$dir/lib all; $(MAKE) -C $$dir/server; \
 	done
 	$(MAKE) -C no-krb all
 
@@ -87,8 +86,15 @@
 	 rm $(foreach v,$(filter-out krb5,$(VARIETALS)),$(foreach s,docs init postrm,debian/zephyr-server-$(v).$(s))); \
 	fi
 	-rm debian/libzephyr4-krb5.files debian/libzephyr4-krb45.files
+	-rm stash-stamp
+	-test -d $(STASH)/autom4te.cache && rm -rf autom4te.cache
+	-test -d $(STASH)/m4 && rm -rf m4
+	-test -d $(STASH) && mv $(STASH)/* .
+	-rmdir $(STASH)
+	-test -d $(STASH_H) && mv $(STASH_H)/* h
+	-rmdir $(STASH_H)
 
-	dh_clean
+	dh_clean -v -Xautom4te.cache
 
 install: DH_OPTIONS=
 install: build
@@ -174,4 +180,4 @@
 
 binary: binary-indep binary-arch
 
-.PHONY: autotools build clean binary-indep binary-arch binary install 
+.PHONY: autotools build clean binary-indep binary-arch binary install stash

## zephyr 3.1~beta0

=== debian/changelog ===
zephyr (3.1~beta0-1) unstable; urgency=low

  * New upstream interim release.

 -- Karl Ramm <kcr@debian.org>  Mon, 08 Jul 2013 01:50:20 -0400

## zephyr 3.1.2

=== debian/changelog ===
zephyr (3.1.2-4) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Maintain zephyr in Debian team on Salsa
  * Add Homepage
  * Add watch file
  * d/rules: neither a sample nor hypothetical
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Do not parse d/changelog (routine-update)
  * Trim trailing whitespace.
  * Rely on pre-initialized dpkg-architecture variables.
  * Fix some gcc-15 build issues
    Closes: #1098197
  * Build-Depends: libncurses5-dev => libncurses-dev
  * Remove invalid alternatives in Depends of libzephyr-dev
  * d/copyright: DEP5 + review
  * Add Pre-Depends: ${misc:Pre-Depends} for server packages
  * Seems the article is part of the name so add lintian-overrides
    for description-synopsis-starts-with-article
  * Lintian-overrides for national-encoding in po files
  * Export hardening options
  * Add systemd service files
    Closes: #1030080, #1039433
  * Do not conflict with packages that were not even in o-o-stable
  * Make sure zephyr-server-krb5 will depend libzephyr4-krb5 (and not
    libzephyr4)
  * Hardening

  [ Reiner Herrmann ]
  * Enable reproducible building by removing irrelevant data from version string

  [ Mert Dirik ]
  * Turkish debconf template translation
    Closes: #759885

  [ Atila KOÇ ]
  * Update Turkish debconf template translation
    Closes: #1029195

  [ Pablo Huguet ]
  * Catalan debconf template translation
    Closes: #1049994

  [ Remus-Gabriel Chelu ]
  * Romanian debconf template translation
    Closes: #1101738

 -- Andreas Tille <tille@debian.org>  Mon, 29 Sep 2025 10:09:38 +0200

zephyr (3.1.2-3) experimental; urgency=medium

  * maintainer must include a name as well as email, Closes: #995677

 -- Sam Hartman <hartmans@debian.org>  Wed, 06 Oct 2021 08:53:19 -0600

zephyr (3.1.2-2) experimental; urgency=medium

  * Upload only to set new maintainer and get Zephyr off MIA's plate
  * I'm still trying to find VCS for the Debian packaging before making any real changes

 -- Sam Hartman <hartmans@debian.org>  Sat, 02 Oct 2021 20:15:00 -0600

zephyr (3.1.2-1) unstable; urgency=low

  * New upstream version.

 -- Karl Ramm <kcr@debian.org>  Mon, 28 Oct 2013 10:57:21 -0400

=== debian/control ===
Source: zephyr
Standards-Version: 4.7.2
Maintainer: Zephyr IM Team <team+zephyr-im@tracker.debian.org>
Uploaders:
 Sam Hartman <hartmans@debian.org>,
 Alex Chernyakhovsky <achernya@debian.org>,
Section: net
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libc-ares-dev,
 libkrb5-dev,
 comerr-dev,
 ss-dev,
 libreadline-dev | libreadline5-dev,
 libx11-dev,
 libxt-dev,
 x11proto-core-dev,
 libncurses-dev,
 bison,
 libhesiod-dev,
 lsb-release,
Vcs-Browser: https://salsa.debian.org/debian/zephyr
Vcs-Git: https://salsa.debian.org/debian/zephyr.git
Homepage: https://github.com/zephyr-im/zephyr

Package: libzephyr4
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Conflicts:
 libzephyr4-krb5,
Description: Project Athena's notification service - non-Kerberos libraries
 Zephyr is derived from the original Project Athena 'Instant Message' system
 and allows users to send messages to other users or to groups of users.
 Users can view incoming Zephyr messages as windowgrams (transient X
 windows) or as text on a terminal.
 .
 This package provides the libraries without Kerberos support.

Package: libzephyr4-krb5
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 krb5-config,
Pre-Depends:
 ${misc:Pre-Depends},
Conflicts:
 libzephyr4,
Provides:
 libzephyr4 (= ${binary:Version}),
Replaces:
 libzephyr4,
Description: The original "Instant Message" system libraries with Kerberos V
 This version of the library uses Kerberos V for message authentication.
 .
 This is the Project Athena Zephyr notification system.
 Zephyr allows users to send messages to other users or to groups of
 users.  Users can view incoming Zephyr messages as windowgrams
 (transient X windows) or as text on a terminal.

Package: zephyr-clients
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 debconf | debconf-2.0,
Replaces:
 zephyr-client,
Description: Project Athena's notification service - client programs
 Zephyr is derived from the original Project Athena 'Instant Message' system
 and allows users to send messages to other users or to groups of users.
 Users can view incoming Zephyr messages as windowgrams (transient X
 windows) or as text on a terminal.
 .
 This package provides client programs for the messaging service.

Package: zephyr-server
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 debconf | debconf-2.0,
Pre-Depends:
 ${misc:Pre-Depends},
Conflicts:
 zephyr-server-krb5,
Description: Project Athena's notification service - non-Kerberos server
 Zephyr is derived from the original Project Athena 'Instant Message' system
 and allows users to send messages to other users or to groups of users.
 Users can view incoming Zephyr messages as windowgrams (transient X
 windows) or as text on a terminal.
 .
 This package provides the server for the messaging service, which
 maintains a location and subscription database for all the receiving
 clients. All zephyrgrams are sent to the server to be routed to the
 intended recipient. Only one server is required for a group of clients.

Package: zephyr-server-krb5
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 debconf | debconf-2.0,
# libzephyr4-krb5, # that's sneaked in in d/rules after dh_gencontrol
Pre-Depends:
 ${misc:Pre-Depends},
Conflicts:
 zephyr-server,
Provides:
 zephyr-server,
Replaces:
 zephyr-server,
Description: The original "Instant Message" system-server with Kerberos 5
 You probably only need one server for a group of clients.
 This can be a memory-intensive server, especially for very large sites.
 .
 The server maintains a location and subscription database for all the
 receiving clients. All zephyrgrams are sent to the server to be routed
 to the intended recipient.
 .
 This version of the server uses Kerberos V for message authentication.
 .
 This is the Project Athena Zephyr notification system.
 Zephyr allows users to send messages to other users or to groups of
 users.  Users can view incoming Zephyr messages as windowgrams
 (transient X windows) or as text on a terminal.

Package: libzephyr-dev
Architecture: any
Section: libdevel
Depends:
 libzephyr4 (= ${binary:Version}) | libzephyr4-krb5 (= ${binary:Version}),
 ${misc:Depends},
 libc6-dev,
Description: Project Athena's notification service - development files
 Zephyr is derived from the original Project Athena 'Instant Message' system
 and allows users to send messages to other users or to groups of users.
 Users can view incoming Zephyr messages as windowgrams (transient X
 windows) or as text on a terminal.
 .
 This package provides development libraries and files, which are
 needed to compile alternative Zephyr clients.

=== debian/rules ===
--- 
+++ 
@@ -1,30 +1,30 @@
 #!/usr/bin/make -f
-# Sample debian/rules that uses debhelper. 
-# GNU copyright 1997 by Joey Hess.
-#
-# This version is for a hypothetical package that builds an
-# architecture-dependant package, as well as an architecture-independent
-# package.
 
-# Uncomment this to turn on verbose mode. 
+# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 VARIETALS=krb5
-#VARIETALS=krb45 krb5
 CFLAGS=-g -O
 
 PACKAGES:=-plibzephyr4 -pzephyr-clients -pzephyr-server -plibzephyr-dev $(foreach i,$(VARIETALS),-plibzephyr4-$(i) -pzephyr-server-$(i))
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 CONFIGURE_ROOT=--prefix=/usr --mandir=\$${prefix}/share/man \
 	--infodir=\$${prefix}/share/info --sysconfdir=/etc --datadir=/etc \
-	--with-cares=/usr --with-hesiod=/usr --enable-cmu-zwgcplus
+	--with-cares=/usr --with-hesiod=/usr --enable-cmu-zwgcplus \
+	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
+	CFLAGS="$(CFLAGS)" \
+	CPPFLAGS="$(CPPFLAGS)" \
+	LDFLAGS="$(LDFLAGS)"
 CONFIGURE_krb5=--with-krb5=/usr
-CONFIGURE_krb45=--with-krb4=/usr --with-krb5=/usr
 
 # see /usr/share/doc/autotools-dev/README.Debian.gz
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
+include /usr/share/dpkg/architecture.mk
 
 # FOR AUTOCONF 2.52 AND NEWER ONLY
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
@@ -34,7 +34,7 @@
 endif
 
 BUILD_VARIETALS=$(VARIETALS) no-krb
-PKG_VERSION:=$(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
+include /usr/share/dpkg/default.mk
 PKG_DISTRO:=$(shell lsb_release -si)
 
 STASH:=debian/autogoo-stash
@@ -43,7 +43,7 @@
 stash: stash-stamp
 stash-stamp:
 	-mkdir $(STASH)
-	mv -v m4 autom4te.cache aclocal.m4 config.guess config.sub configure install-sh ltmain.sh VERSION $(STASH)
+	mv -v m4 aclocal.m4 config.guess config.sub configure install-sh ltmain.sh VERSION $(STASH)
 	-mkdir $(STASH_H)
 	mv -v h/config.h.in $(STASH_H)
 	touch stash-stamp
@@ -54,7 +54,7 @@
 	# Add here commands to configure the package.
 	libtoolize -ic
 	autoreconf
-	echo "$(PKG_VERSION) ($(PKG_DISTRO))" > VERSION
+	echo "$(DEB_VERSION) ($(PKG_DISTRO))" > VERSION
 	mkdir -p $(BUILD_VARIETALS)
 	$(foreach VARIETY,$(BUILD_VARIETALS),(cd $(VARIETY) && CFLAGS="$(CFLAGS)" ../configure $(CONFIGURE_$(VARIETY)) $(CONFIGURE_ROOT));)
 	touch configure-stamp
@@ -85,7 +85,7 @@
 	-if test -n "$(filter-out krb5,$(VARIETALS))"; then \
 	 rm $(foreach v,$(filter-out krb5,$(VARIETALS)),$(foreach s,docs init postrm,debian/zephyr-server-$(v).$(s))); \
 	fi
-	-rm debian/libzephyr4-krb5.files debian/libzephyr4-krb45.files
+	-rm debian/libzephyr4-krb5.files
 	-rm stash-stamp
 	-test -d $(STASH)/autom4te.cache && rm -rf autom4te.cache
 	-test -d $(STASH)/m4 && rm -rf m4
@@ -94,7 +94,7 @@
 	-test -d $(STASH_H) && mv $(STASH_H)/* h
 	-rmdir $(STASH_H)
 
-	dh_clean -v -Xautom4te.cache
+	dh_clean -v
 
 install: DH_OPTIONS=
 install: build
@@ -144,22 +144,26 @@
 	for dir in $(VARIETALS); do \
 		dh_movefiles --sourcedir=debian/tmp-$$dir -plibzephyr4-$$dir -pzephyr-server-$$dir; \
 	done
-	dh_installdebconf 
+	dh_installdebconf
 	dh_installdocs
+	dh_install
 	dh_installinit -pzephyr-clients --init-script=zhm --no-start
 	dh_installinit -pzephyr-server --init-script=zephyrd
+	dh_lintian
 	for variety in $(VARIETALS); do \
 		dh_installinit -pzephyr-server-$$variety --init-script=zephyrd; \
 		mkdir -p debian/libzephyr4-$$variety/usr/share/lintian/overrides; \
 		sed -e "s/@VARIETY@/$$variety/" debian/soname-override \
-		> debian/libzephyr4-$$variety/usr/share/lintian/overrides/libzephyr4-$$variety; \
+		>> debian/libzephyr4-$$variety/usr/share/lintian/overrides/libzephyr4-$$variety; \
 	done
-	dh_installchangelogs 
+	dh_installchangelogs
 	for dir in zephyr-clients libzephyr-dev \
 		libzephyr4 $(foreach i,$(VARIETALS),libzephyr4-$i) \
 		zephyr-server $(foreach i,$(VARIETALS),zepyr-server-$i); do \
 		find debian/$$i -type d -empty -delete; \
 	done
+	# dh_installsystemd needs tweaking to mach init script names (installation is done by dh_install, following line just fixes the name
+	mv debian/zephyr-server-krb5/usr/lib/systemd/system/zephyrd-krb5.service debian/zephyr-server-krb5/usr/lib/systemd/system/zephyrd.service
 	dh_strip
 	dh_compress
 	dh_fixperms
@@ -171,10 +175,12 @@
 	dh_shlibdeps $(PACKAGES)
 	dh_installdeb $(PACKAGES)
 	dh_gencontrol $(PACKAGES)
+	# Fix up zephyr-server-krb5 control file since otherwise libzephyr4 *and* libzephyr4-krb5 will be included
+	sed -i 's/libzephyr4 (\([^)]*\))/libzephyr4-krb5 (\1)/' debian/zephyr-server-krb5/DEBIAN/control
 	dh_md5sums $(PACKAGES)
 	dh_builddeb $(PACKAGES)
 	for dir in $(VARIETALS); do \
-		dh_builddeb --sourcedir=debian/tmp-$$dir -plibzephyr4-$$dir -pzephyr-server-$$dir; \
+		dh_builddeb -plibzephyr4-$$dir -pzephyr-server-$$dir; \
 	done

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/zephyr-im/zephyr/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
